<?php

Route::prefix('')->namespace('Shop')->name('Shop.')->group(function () {
    Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
    Route::post('login', 'Auth\LoginController@login')->name('login.post');
    Route::post('logout', 'Auth\LoginController@logout')->name('logout');
    Route::post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
    Route::get('password/request', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
    Route::post('password/reset', 'Auth\ResetPasswordController@reset')->name('password.update');
    Route::get('password/reset/{token?}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
    Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
    Route::post('register', 'Auth\RegisterController@register')->name('register.post');
});

Route::prefix('')->namespace('Shop')->name('Shop.')->group(function () {
    include_once __DIR__.'/Articles.php';
    include_once __DIR__.'/Baskets.php';
    include_once __DIR__.'/Categories.php';
    include_once __DIR__.'/Customers.php';
    include_once __DIR__.'/Invoices.php';
    include_once __DIR__.'/Offers.php';
    include_once __DIR__.'/Orders.php';
    include_once __DIR__.'/Orders.php';
    include_once __DIR__.'/Searches.php';
});
